Bug 839165 - [abrt] galternatives-0.13.4-10.fc15: alternative.py:90:__init__:OSError: [Errno 2] No such file or directory: '/etc/alternatives/javaws'
[abrt] galternatives-0.13.4-10.fc15: alternative.py:90:__init__:OSError: [Err...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: galternatives (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:b7ce5c3bd9a242fb648f71ffdce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 02:39 EDT by Aditya Mukhopadhyay
Modified: 2013-02-13 08:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aditya Mukhopadhyay 2012-07-11 02:39:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/sbin/galternatives
event_log:      2012-07-11-12:08:59> Smolt profile successfully saved
executable:     /usr/sbin/galternatives
kernel:         3.1.2-1.fc16.x86_64
time:           Sat 10 Dec 2011 19:54:47 IST
uid:            0
username:       root

backtrace:
:alternative.py:90:__init__:OSError: [Errno 2] No such file or directory: '/etc/alternatives/javaws'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/galternatives/main.py", line 371, in alternative_selected_cb
:    self.update_metainfo ()
:  File "/usr/lib/python2.7/site-packages/galternatives/main.py", line 466, in update_metainfo
:    self.alternative = Alternative (tm.get_value (iter, self.ALTERNATIVES))
:  File "/usr/lib/python2.7/site-packages/galternatives/alternative.py", line 90, in __init__
:    (unixname))
:OSError: [Errno 2] No such file or directory: '/etc/alternatives/javaws'
:
:Local variables in innermost frame:
:altfile: <open file '/var/lib/alternatives/javaws', mode 'r' at 0x1b4b4b0>
:locale: 'C'
:line: ''
:unixname: 'javaws'
:self: <galternatives.alternative.Alternative instance at 0x1c84cb0>

smolt_data:
:
:
:General
:=================================
:UUID: 183c5ca6-7a44-4d03-bb2d-a5e3ac4a4a45
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4389.93
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2200
:System Memory: 3866
:System Swap: 4005
:Vendor: LENOVO
:System: 1141BMQ ThinkPad E420
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:8674) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:6058:8674) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:6058:8674) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7202:6058:8674) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:8674) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4480:59427:6058:8674) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8674) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8674) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8674) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 12671425 8054356 7419477 3178496 2678331 2678331
:/dev/sda3 /boot ext4 1024 1024 508681 433442 433442 124488 124189 124189
:/dev/sda4 /home btrfs 4096 4096 64290816 52718104 34119261 0 0 0
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8054356 7419477 3178496 2678331 2678331
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8054356 7419477 3178496 2678331 2678331
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8054356 7419477 3178496 2678331 2678331
:
Comment 1 Fedora End Of Life 2013-01-16 07:59:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:38:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.